Subject: bug#22215: guix package fails to use more than the first substitute server in case of 404 failure

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 29 Nov 2017 07:55:02 -0500

Hello,

[email-masked] (Ludovic Courtès) writes:

> Hi Maxim,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Florian Paul Schmidt <[email-masked]> writes:
>>
>>> guix package --substitute-urls="http://fps.io:9999
>>> http://hydra.gnu.org" -i emacs
>>>
>>> fails due to
>>>
>>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21888
>>>
>>> with a 404 and consequently fails to try hydra for the download after
>>> the download from fps.io failed.
>>>
>>> Regards,
>>> Flo
>>
>> I couldn't reproduce the 404 error with the above command, however there
>> is still a problem because it is hanging with no sign of timing out. I
>> canceled it with C-c.
>
> Do you have more info as to how to reproduce the issue?

It seems my network (WiFi managed with nmcli (network-manager)) had some
problems resolving DNS at that time. I cannot reproduce it anymore, so I
think this issue can be closed. We have a similar issue in 26833, which
for some reason is not listed on our Debbugs tracker anymore (still
available here: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26833).

I could easily reproduce that one in the last days, with Bayfront
seemingly down it was crashing Guix with a "no route to host" error or
similar.

Maxim